usbmount: bump to 0.0.21

[Peter: fix udev dep, use Debian mirrors, fix usbmount.rules install, uninstall]
Signed-off-by: Yegor Yefremov <yegorslists@googlemail.com>
Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
This commit is contained in:
Yegor Yefremov 2011-07-20 16:46:28 +02:00 committed by Peter Korsgaard
parent 7dae68a0fa
commit c74bce7de5
3 changed files with 10 additions and 63 deletions

View File

@ -1,8 +1,9 @@
config BR2_PACKAGE_USBMOUNT config BR2_PACKAGE_USBMOUNT
bool "usbmount" bool "usbmount"
select BR2_PACKAGE_UDEV select BR2_PACKAGE_UDEV
select BR2_PACKAGE_UDEV_VOLUME_ID
select BR2_PACKAGE_LOCKFILE_PROGS select BR2_PACKAGE_LOCKFILE_PROGS
help help
The usbmount package automatically mounts USB mass storage devices The usbmount package automatically mounts USB mass storage devices
when they are plugged in, and unmounts them when they are removed. when they are plugged in, and unmounts them when they are removed.
http://usbmount.alioth.debian.org/

View File

@ -1,57 +0,0 @@
diff -ur usbmount-0.0.14.1/usbmount usbmount-0.0.14.1-patched/usbmount
--- usbmount-0.0.14.1/usbmount 2007-01-27 05:22:14.000000000 -0600
+++ usbmount-0.0.14.1-patched/usbmount 2007-03-15 07:25:18.000000000 -0500
@@ -20,7 +20,7 @@
log()
{
if test $1 != debug || expr "$VERBOSE" : "[yY]" > /dev/null; then
- logger -p user.$1 -t "usbmount[$$]" -- "$2"
+ echo "usbmount[$$] -- $2" >> $LOGFILE
fi
}
@@ -57,11 +57,11 @@
if test "$1" = add; then
# Acquire lock.
- log debug "trying to acquire lock /var/run/usbmount/.mount.lock"
- lockfile-create --retry 3 /var/run/usbmount/.mount || \
- { log err "cannot acquire lock /var/run/usbmount/.mount.lock"; exit 1; }
- trap '( lockfile-remove /var/run/usbmount/.mount )' 0
- log debug "acquired lock /var/run/usbmount/.mount.lock"
+ log debug "trying to acquire lock /var/run/.usbmount.lock"
+ lockfile-create --retry 5 /var/run/.usbmount || \
+ { log err "cannot acquire lock /var/run/.usbmount.lock"; exit 1; }
+ trap '( lockfile-remove /var/run/.usbmount )' 0
+ log debug "acquired lock /var/run/.usbmount.lock"
# Try to read from the device. Some devices need a few seconds
# initialization time before they can be accessed. Give up after
@@ -184,6 +184,7 @@
log info "executing command: run-parts /etc/usbmount/umount.d"
run-parts /etc/usbmount/umount.d || :
fi
+ lockfile-remove /var/run/.usbmount
break
fi
done < /proc/mounts
diff -ur usbmount-0.0.14.1/usbmount.conf usbmount-0.0.14.1-patched/usbmount.conf
--- usbmount-0.0.14.1/usbmount.conf 2005-04-08 09:05:10.000000000 -0500
+++ usbmount-0.0.14.1-patched/usbmount.conf 2007-03-15 07:21:33.000000000 -0500
@@ -17,7 +17,7 @@
# sure all data is written to the medium before you remove it (e.g. run the #
# "sync" command in a terminal window). Otherwise, you *WILL* lose data! #
#############################################################################
-FILESYSTEMS="ext2 ext3"
+FILESYSTEMS="ext2 ext3 msdos vfat"
# Mount options: Options passed to the mount command with the -o flag.
# WARNING! Removing "sync" from the options is a very bad idea and
@@ -35,3 +35,7 @@
# If set to "yes", more information will be logged via the syslog
# facility.
VERBOSE="no"
+
+# Location of the log file when verbose is Yes
+LOGFILE="/var/log/usbmount.log"
+

View File

@ -3,20 +3,23 @@
# usbmount # usbmount
# #
############################################################# #############################################################
USBMOUNT_VERSION=0.0.14.1 USBMOUNT_VERSION = 0.0.21
USBMOUNT_SOURCE:=usbmount_$(USBMOUNT_VERSION).tar.gz USBMOUNT_SOURCE = usbmount_$(USBMOUNT_VERSION).tar.gz
USBMOUNT_SITE:=http://usbmount.alioth.debian.org/package/ USBMOUNT_SITE = $(BR2_DEBIAN_MIRROR)/debian/pool/main/u/usbmount
USBMOUNT_DEPENDENCIES = udev lockfile-progs USBMOUNT_DEPENDENCIES = udev lockfile-progs
define USBMOUNT_INSTALL_TARGET_CMDS define USBMOUNT_INSTALL_TARGET_CMDS
$(INSTALL) -m 0755 -D $(@D)/usbmount $(TARGET_DIR)/sbin/usbmount $(INSTALL) -m 0755 -D $(@D)/usbmount $(TARGET_DIR)/usr/share/usbmount/usbmount
$(INSTALL) -m 0644 -D $(@D)/usbmount.rules $(TARGET_DIR)/lib/udev/rules.d/usbmount.rules
@if [ ! -f $(TARGET_DIR)/etc/usbmount/usbmount.conf ]; then \ @if [ ! -f $(TARGET_DIR)/etc/usbmount/usbmount.conf ]; then \
$(INSTALL) -m 0644 -D $(@D)/usbmount.conf $(TARGET_DIR)/etc/usbmount/usbmount.conf; \ $(INSTALL) -m 0644 -D $(@D)/usbmount.conf $(TARGET_DIR)/etc/usbmount/usbmount.conf; \
fi fi
endef endef
define USBMOUNT_UNINSTALL_TARGET_CMDS define USBMOUNT_UNINSTALL_TARGET_CMDS
rm -rf $(TARGET_DIR)/etc/usbmount $(TARGET_DIR)/sbin/usbmount rm -rf $(TARGET_DIR)/etc/usbmount \
$(TARGET_DIR)/usr/share/usbmount/usbmount \
$(TARGET_DIR)/lib/udev/rules.d/usbmount.rules
endef endef
$(eval $(call GENTARGETS,package,usbmount)) $(eval $(call GENTARGETS,package,usbmount))